# Configuration Files

## 1. Adjust config.lua to your server core

{% tabs %}
{% tab title="ESX" %}

1. Adjusting the script to your server core

```lua
Config.Core = "ESX"
Config.CoreExport = function()
    return exports['es_extended']:getSharedObject()
end
```

{% endtab %}

{% tab title="QB-Core / QBOX" %}

1. Adjusting the script to your server core

```lua
Config.Core = "QB-Core"
Config.CoreExport = function()
    return exports['qb-core']:GetCoreObject()
end
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_spawnselector/configuration-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
